#Autogenerated class


from xml.dom.minidom import parseString

from bioMoby.mobyDataTypes import MobyInteger
from bioMoby.mobyDataTypes import MobyString
from bioMoby.mobyDataTypes import MobyObject


class MobySchematikonSegmentAttributes(MobyObject):
    """ Description: PDB ID, chain ID, starting amino acid position (chain position) in the PDB file, insert code, and length for a Schematikon structure segment -- attributes from a PDB file that uniquely identify a structure segment in the Schematikon database
        Author: schematikon.org
        Contact: boris.steipe@utoronto.ca
    """
    def __init__(self,namespace="",id="",Length=0,InsertCode="",StartingAminoAcidPosition=0,ChainID="",PDBID="",articleName=""):
        self._articles={"Length":"Length","InsertCode":"Insert code","StartingAminoAcidPosition":"Starting amino acid position","ChainID":"Chain ID","PDBID":"PDB ID"}
        self.namespace=namespace
        self.id=id
        self.Length=Length
        self.InsertCode=InsertCode
        self.StartingAminoAcidPosition=StartingAminoAcidPosition
        self.ChainID=ChainID
        self.PDBID=PDBID
        self.__prefix__="moby"
        self.__tag__="SchematikonSegmentAttributes"
        self.articleName=articleName


    def fromMoby(self, value):

        """ Load the attributes from an XML string
        """
        from bioMoby.mobyMarshal import MobyUnmarshaller
        doc=value
        if isinstance(value,str):
            doc=parseString(value).firstChild
        um=MobyUnmarshaller()
        self.content=""
        self.namespace=doc.getAttribute("moby:namespace")
        if self.namespace=="":
            self.namespace=doc.getAttribute("namespace")
        self.id=doc.getAttribute("moby:id")
        if self.id=="":
            self.id=doc.getAttribute("id")

        self.articleName=doc.getAttribute("moby:articleName")
        if self.articleName=="":

            self.articleName=doc.getAttribute("articleName")
        for elt in doc.childNodes:
            if elt.nodeType==elt.TEXT_NODE or elt.nodeType==elt.CDATA_SECTION_NODE:
                self.content=self.content+elt.nodeValue
            if elt.nodeName=="CrossReference" or elt.nodeName=="moby:CrossReference":
                self.__cross__=[]
                for ref in elt.childNodes:
                    self.__cross__.append(ref)
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="Length" or elt.getAttribute("moby:articleName")=="Length"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.Length=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="InsertCode" or elt.getAttribute("moby:articleName")=="InsertCode"):
                t=MobyString()
                t.fromMoby(elt)
                self.InsertCode=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="Integer" or elt.nodeName=="moby:Integer") and (elt.getAttribute("articleName")=="StartingAminoAcidPosition" or elt.getAttribute("moby:articleName")=="StartingAminoAcidPosition"):
                t=MobyInteger()
                t.fromMoby(elt)
                self.StartingAminoAcidPosition=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="ChainID" or elt.getAttribute("moby:articleName")=="ChainID"):
                t=MobyString()
                t.fromMoby(elt)
                self.ChainID=t.content
            if elt.nodeType==elt.ELEMENT_NODE and (elt.nodeName=="String" or elt.nodeName=="moby:String") and (elt.getAttribute("articleName")=="PDBID" or elt.getAttribute("moby:articleName")=="PDBID"):
                t=MobyString()
                t.fromMoby(elt)
                self.PDBID=t.content